-- create table section -----------------------------------------------------------
-- schema 		: ida	- Id-Authentication 
-- table 		: vid	- Virtual ID for authentication
-- table alias  : vid

-- schemas section -----------------------------------------------------------------

-- create schema if ida schema for Id-Authentication schema not exists
create schema if not exists ida
;

-- table section --------------------------------------------------------------------
create table ida.vid (

	id 	 character varying(36) not null,
	
	uin  character varying(28) not null,     		-- UIN of indivisuals and referenced from idrepo database 
	
	generated_dtimes timestamp,
	validation_retry_count smallint,
	expiry_dtimes timestamp,
	
	is_active 	boolean not null,
	cr_by 		character varying(256) not null,
	cr_dtimes 	timestamp  not null,
	upd_by  	character varying (256),
	upd_dtimes timestamp,
	is_deleted 	boolean,
	del_dtimes timestamp

)
;

-- keys section --------------------------------------------------------------------------
alter table ida.vid add constraint pk_vid_id primary key (id)
 ;

-- indexes section ------------------------------------------------------------------------
-- create index idx_vid_<colX> on ida.vid(ColX)
-- ;

-- comments section ------------------------------------------------------------------------ 
comment on table ida.vid is 'To store generated list of Virtual IDs for Authentication'
;
comment on column ida.vid.id is 'Unique Virtual id generated by the system for authentication'
;


alter table ida.vid add constraint uk_vid unique (uin, generated_dtimes) ;
